View subclass:#ApplicationSubView
	instanceVariableNames:'application'
	classVariableNames:''
	poolDictionaries:''
	category:'Views-Basic'
!

!ApplicationSubView class methodsFor:'documentation'!

documentation
"
    needed sometimes, when a full application is embeded into an ExtendedComboBox
    or subcanvas AND you want to avoid, that this application accesses the outer
    applications aspects (by returning a private application instance).

    Notice: you may have to manually set this views application to be the embedded app
           (i.e. via #application:) unless it is set by #client:....

    see self-embedding example in CodingExamples_GUI::GUIDemoExtendedComboBox
"
!

examples
"
    see self-embedding example in CodingExamples_GUI::GUIDemoExtendedComboBox
"
! !

!ApplicationSubView methodsFor:'accessing'!

application
    "return the value of the instance variable 'application' (automatically generated)"

    ^ application!

application:something
    "set the value of the instance variable 'application' (automatically generated)"

    application := something.!

client:anApplication spec:aWindowSpecOrSpecSymbol builder:aBuilder
    self application:anApplication.
    ^ super client:anApplication spec:aWindowSpecOrSpecSymbol builder:aBuilder


! !

!ApplicationSubView class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libview2/ApplicationSubView.st,v 1.2 1999-12-08 19:56:31 ca Exp $'
! !
